Skip to Content

Socket V5 Server — Attempt

21 endpoints

POST /socket/v5/server/attempt/started

Attempt Started Api

Server-to-client: new attempt created.

Request body:

{ attempt_id: `string` chat_entry_id: `string` }

Response:

`object`

POST /socket/v5/server/attempt/chat_started

Attempt Chat Started Api

Server-to-client: new chat created within an attempt.

Request body:

{ attempt_id: `string` chat_id: `string` }

Response:

`object`

POST /socket/v5/server/attempt/chat_ended

Attempt Chat Ended Api

Server-to-client: single chat ended.

Request body:

{ chat_id: `string` is_attempt_finished?: `boolean` | `null` grade_id?: `string` | `null` }

Response:

`object`

POST /socket/v5/server/attempt/ended

Attempt Ended Api

Server-to-client: entire attempt ended.

Request body:

{ attempt_id: `string` success: `boolean` all_scenarios_complete?: `boolean` message?: `string` | `null` }

Response:

`object`

POST /socket/v5/server/attempt/error

Attempt Error Api

Server-to-client: attempt error.

Request body:

{ chat_id?: `string` | `null` type?: `string` | `null` message: `string` }

Response:

`object`

POST /socket/v5/server/attempt/graded

Attempt Graded Api

Server-to-client: aggregate grade result.

Request body:

{ chat_id: `string` grade_id?: `string` | `null` }

Response:

`object`

POST /socket/v5/server/attempt/joined

Attempt Joined Api

Server-to-client: successfully joined a chat room.

Request body:

{ chat_id: `string` success: `boolean` }

Response:

`object`

POST /socket/v5/server/attempt/stopped

Attempt Stopped Api

Server-to-client: message generation stopped.

Request body:

{ chat_id: `string` success: `boolean` message?: `string` | `null` }

Response:

`object`

POST /socket/v5/server/attempt/response_result

Attempt Response Result Api

Server-to-client: response submission result.

Request body:

{ success: `boolean` message?: `string` | `null` is_correct?: `boolean` | `null` response_id?: `string` | `null` }

Response:

`object`

POST /socket/v5/server/attempt/assistant_start

Attempt Assistant Start Api

Server-to-client: assistant message generation starting.

Request body:

{ chat_id: `string` message_id: `string` created_at: `string` }

Response:

`object`

POST /socket/v5/server/attempt/assistant_complete

Attempt Assistant Complete Api

Server-to-client: assistant message generation complete.

Request body:

{ chat_id: `string` message_id: `string` content?: `string` | `null` }

Response:

`object`

POST /socket/v5/server/attempt/progress

Attempt Progress Api

Server-to-client: assistant generation progress.

Request body:

{ chat_id: `string` content_type: `string` content?: `string` | `null` audio?: `any` | `null` }

Response:

`object`

POST /socket/v5/server/attempt/assistant_audio

Attempt Assistant Audio Api

Server-to-client: assistant audio chunk.

Request body:

{ chat_id: `string` content_type: `string` content?: `string` | `null` audio?: `any` | `null` }

Response:

`object`

POST /socket/v5/server/attempt/user_start

Attempt User Start Api

Server-to-client: user speech detected in voice mode.

Request body:

{ chat_id: `string` message_id: `string` created_at: `string` item_id?: `string` | `null` }

Response:

`object`

POST /socket/v5/server/attempt/user_complete

Attempt User Complete Api

Server-to-client: user message finalized.

Request body:

{ chat_id: `string` message_id: `string` content: `string` created_at: `string` item_id?: `string` | `null` }

Response:

`object`

POST /socket/v5/server/attempt/user_delta

Attempt User Delta Api

Server-to-client: voice transcription delta.

Request body:

{ chat_id: `string` item_id: `string` transcript: `string` }

Response:

`object`

POST /socket/v5/server/attempt/audio_ready

Attempt Audio Ready Api

Server-to-client: voice session is ready.

Request body:

{ chat_id: `string` success: `boolean` message?: `string` | `null` }

Response:

`object`

POST /socket/v5/server/attempt/audio_ended

Attempt Audio Ended Api

Server-to-client: voice session ended.

Request body:

{ chat_id: `string` success: `boolean` message?: `string` | `null` }

Response:

`object`

POST /socket/v5/server/attempt/content_progress

Attempt Content Progress Api

Server-to-client: per-criterion grade result (content).

Request body:

{ chat_id: `string` grade_id?: `string` | `null` resource_type?: `string` | `null` entry?: `object` | `null` }

Response:

`object`

POST /socket/v5/server/attempt/hint_progress

Attempt Hint Progress Api

Server-to-client: hints created during assistant generation.

Request body:

{ chat_id: `string` hints: `object`[] }

Response:

`object`

POST /socket/v5/server/attempt/grading_progress

Attempt Grading Progress Api

Server-to-client: per-criterion grade result (grading).

Request body:

{ chat_id: `string` grade_id?: `string` | `null` resource_type?: `string` | `null` entry?: `object` | `null` }

Response:

`object`

Last updated on